Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Java] Class IdentityEnumType

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.IdentityEnumType

All Implemented Interfaces:
  org.hibernate.usertype.UserType, org.hibernate.usertype.ParameterizedType, java.io.Serializable

    public class IdentityEnumType
    extends java.lang.Object

Hibernate Usertype that enum values by their ID.

Authors:
  Siegfried Puchbauer

Since:
  1.1

Field Summary
`static java.lang.String` | `ENUM_ID_ACCESSOR`
`static java.lang.String` | `PARAM_ENUM_CLASS`

Method Summary
`java.lang.Object` | `assemble(java.io.Serializable cached, java.lang.Object owner)`
`java.lang.Object` | `deepCopy(java.lang.Object o)`
`java.io.Serializable` | `disassemble(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o1, java.lang.Object o2)`
`static IdentityEnumType.BidiEnumMap` | `getBidiEnumMap(java.lang.Class cls)`
`int` | `hashCode(java.lang.Object o)`
`static boolean` | `isEnabled()`
`boolean` | `isMutable()`
`java.lang.Object` | `nullSafeGet(java.sql.ResultSet resultSet, java.lang.String[] names, java.lang.Object owner)`
`void` | `nullSafeSet(java.sql.PreparedStatement pstmt, java.lang.Object value, int idx)`
`java.lang.Object` | `replace(java.lang.Object orig, java.lang.Object target, java.lang.Object owner)`
`java.lang.Class` | `returnedClass()`
`void` | `setParameterValues(java.util.Properties properties)`
`int[]` | `sqlTypes()`
`static boolean` | `supports(java.lang.Class enumClass)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ENUM_ID_ACCESSOR

    public static final java.lang.String ENUM_ID_ACCESSOR

### PARAM_ENUM_CLASS

    public static final java.lang.String PARAM_ENUM_CLASS

Method Detail

### assemble

    public java.lang.Object assemble(java.io.Serializable cached, java.lang.Object owner)

### deepCopy

    public java.lang.Object deepCopy(java.lang.Object o)

### disassemble

    public java.io.Serializable disassemble(java.lang.Object o)

### equals

    public boolean equals(java.lang.Object o1, java.lang.Object o2)

### getBidiEnumMap

    public static IdentityEnumType.BidiEnumMap getBidiEnumMap(java.lang.Class cls)

### hashCode

    public int hashCode(java.lang.Object o)

### isEnabled

    public static boolean isEnabled()

### isMutable

    public boolean isMutable()

### nullSafeGet

    public java.lang.Object nullSafeGet(java.sql.ResultSet resultSet, java.lang.String[] names, java.lang.Object owner)

### nullSafeSet

    public void nullSafeSet(java.sql.PreparedStatement pstmt, java.lang.Object value, int idx)

### replace

    public java.lang.Object replace(java.lang.Object orig, java.lang.Object target, java.lang.Object owner)

### returnedClass

    public java.lang.Class returnedClass()

### setParameterValues

    public void setParameterValues(Properties properties) {
    public void setParameterValues(java.util.Properties properties)

### sqlTypes

    public int[] sqlTypes()

### supports

    @SuppressWarnings("unchecked")
    public static boolean supports(@SuppressWarnings("rawtypes") java.lang.Class enumClass)

Groovy Documentation